#pragma once

#include "Zeichnung.h"

namespace Framework
{
    class Slider : public ZeichnungHintergrund
    {
    private:
        float value;

    public:
        __declspec( dllexport ) Slider();
        __declspec( dllexport ) ~Slider();
        __declspec( dllexport ) void setValue( float value );
        __declspec( dllexport ) float getValue() const;
        // Verarbeitet ein Maus Ereignis. Wird vom Framework automatisch aufgerufen.
        //  me: Das Ereignis
        __declspec( dllexport ) void doMausEreignis( MausEreignis &me, bool userRet ) override;
        // Zeichnet die Zeihnung in ein bestimmtes Bild
        //  zRObj: Das Bild, in das gezeichnet werden soll
        __declspec( dllexport ) void render( Bild &zRObj ) override;
    };
}